package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * NwpFileTime对象 nwp_file_time
 *
 * @author hlf
 * @date 2022-01-10
 */
public class NwpFileTime extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long nwpNo;

    private Date fileDbRecTimeAm;

    private Date fileDbRecTimePm;

    private Date procTimeAm;

    private Date procTimePm;

    private String windplantName;

    private String nwpNoName;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setNwpNo(Long nwpNo) {
        this.nwpNo = nwpNo;
    }

    public Long getNwpNo() {
        return nwpNo;
    }

    public void setFileDbRecTimeAm(Date fileDbRecTimeAm) {
        this.fileDbRecTimeAm = fileDbRecTimeAm;
    }

    public Date getFileDbRecTimeAm() {
        return fileDbRecTimeAm;
    }

    public void setFileDbRecTimePm(Date fileDbRecTimePm) {
        this.fileDbRecTimePm = fileDbRecTimePm;
    }

    public Date getFileDbRecTimePm() {
        return fileDbRecTimePm;
    }

    public void setProcTimeAm(Date procTimeAm) {
        this.procTimeAm = procTimeAm;
    }

    public Date getProcTimeAm() {
        return procTimeAm;
    }

    public void setProcTimePm(Date procTimePm) {
        this.procTimePm = procTimePm;
    }

    public Date getProcTimePm() {
        return procTimePm;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getNwpNoName() {
        return nwpNoName;
    }

    public void setNwpNoName(String nwpNoName) {
        this.nwpNoName = nwpNoName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("nwpNo", getNwpNo())
                .append("fileDbRecTimeAm", getFileDbRecTimeAm())
                .append("fileDbRecTimePm", getFileDbRecTimePm())
                .append("procTimeAm", getProcTimeAm())
                .append("procTimePm", getProcTimePm())
                .toString();
    }
}
